﻿using Syncfusion.Windows.Diagram;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace _121072
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Node n = AddNode(100, 100, "Node1");
            Node n1 = AddNode(350, 100, "Node1");
        }

        void b_Click(object sender, RoutedEventArgs e)
        {
            view.EnableDrawingTools = true;
            view.DrawingMode = DrawingMode.Continous;
            view.DrawingTool = DrawingTools.StraightLine;
        }

        private Node AddNode(double p1, double p2, string p3)
        {
            Node n = new Node()
            {
                OffsetX = p1,
                OffsetY = p2,
                Label = p3,
                Width = 100,
                Height = 50,
                Shape = Shapes.Ellipse
            };

            n.Ports.Add(new ConnectionPort() { Left = 0, Top = 25, Node = n, Width = 10, Height=10 });
            n.Ports.Add(new ConnectionPort() { Left = 100, Top = 25, Node = n, Width = 10, Height=10 });
            model.Nodes.Add(n);

            return n;
        }
    }
}
